<div fxLayout="column" fxFlex>
  <div fxLayout="row" fxLayoutAlign="start center">
    <div class="breadcrumb mt"><u>Cadastro Escolar / Cadastrar Turmas</u></div>
  </div>
  <div fxFlexAlign="center" class="uploader-status" style="z-index: 1000; position: relative; ">
    <mat-spinner [diameter]="50" mode="indeterminate" *ngIf="spinnerService.visibility | async">
    </mat-spinner>
  </div>
  <div class="cadastro mat-elevation-z2">
    <div class="titulo"> <span>Cadastrar Turmas</span></div>
    <form name="form" [formGroup]="form">
      <div fxLayout="row" fxLayout.xs="column">
        <mat-form-field>
          <input matInput type="text" id="nomeTurma" maxlength="50" [(ngModel)]='turma.nome' placeholder="Digite um nome para a Turma" formControlName="Turma" />
        </mat-form-field>
        <mat-form-field>
          <mat-select id="IdEscola" [(ngModel)]='turma.escolaId' placeholder="Selecione a escola" (valueChange)="carregaListaTurmasPorEscola($event)" formControlName="Escola">
            <mat-option *ngFor='let escola of escolas' [value]="escola.id">{{escola.nome}}</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </form>
    <div fxLayout="row" fxLayoutAlign="end center">
      <button class="botaoCadastrar" mat-raised-button [disabled]="!form.valid"
        (click)='cadastrarTurma()'>Cadastrar</button>
        <button mat-raised-button class="botaoCancelar" (click)="limparCampos()">Limpar</button>
    </div>
  </div>
  <div class="listaTurma mat-elevation-z2" [hidden]="!dataSource.data.length">
    <div class="titulo"><span>Lista de Turmas</span></div>
    <table mat-table [dataSource]='dataSource'>
      <ng-container matColumnDef="nome">
        <th class="w-8-p text-center" mat-header-cell *matHeaderCellDef>Turmas</th>
        <td class="w-8-p text-center" mat-cell *matCellDef="let element"> {{element.nome}}</td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <mat-paginator #paginator
      showFirstLastButtons
      [length]="resultsLength"
      [pageIndex]="pageIndex"
      [pageSize]="pageSize"
      (page)="pageEvent = $event">
    </mat-paginator>
  </div>
  <div fxLayout="row" fxLayoutAlign="end center" style="padding: 1em">
    <button class="botaoCancelar" mat-raised-button (click)="voltar()">
      Voltar
    </button>
  </div>
</div>
